#!/usr/bin/python
# -*- coding: utf-8 -*-

import json
import sys
import xbmc

rpc = '{"jsonrpc": "2.0", "method": "Application.GetProperties", "params": {"properties": ["volume"]}, "id": 1}'
vol = json.loads(xbmc.executeJSONRPC(rpc))["result"]["volume"]
pth = xbmc.translatePath('special://home/')

if sys.argv[1] == 'mute':
	if vol != 0:
		vol = str(vol)
		file = open(pth+'addons/script.volume/mute.txt','w')
		file.write(vol)
		file.close()
		xbmc.executebuiltin('SetVolume(0,showVolumeBar)')
	elif vol == 0:
		file = open(pth+'addons/script.volume/mute.txt','r')
		vol = file.read()
		file.close()
		xbmc.executebuiltin('SetVolume('+vol+',showVolumeBar)')
else:
	step = 5
	if sys.argv[1] == 'up':
		step *= 1
	elif sys.argv[1] == 'down':
		step *= -1
	xbmc.executebuiltin('SetVolume(%d,showVolumeBar)' % (vol + step))